Bug Hunting Session
Bug 86126 - ODT pagination issues and blank pages appearing, possibly related to images
Summary: ODT pagination issues and blank pages appearing, possibly related to images
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6 all versions
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Additional-Blank-Pages
  Show dependency treegraph
 
Reported: 2014-11-10 19:36 UTC by Nikos
Modified: 2019-09-12 12:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
the empty pages between text (182.49 KB, image/png)
2014-11-10 19:36 UTC, Nikos
Details
the empty pages between text (74.81 KB, image/png)
2014-11-10 20:00 UTC, Nikos
Details
File Test ODT (10.88 KB, application/vnd.oasis.opendocument.text)
2014-11-11 14:53 UTC, joux.alain
Details
the document (1.89 MB, application/vnd.oasis.opendocument.text)
2014-11-17 17:47 UTC, Nikos
Details
the original has 76 pgs (1.92 MB, application/vnd.oasis.opendocument.text)
2014-11-17 21:30 UTC, Nikos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikos 2014-11-10 19:36:41 UTC
Created attachment 109243 [details]
the empty pages between text

Hi
I had a problem with the version 3.6 of Libreoffice. After I closed a document and re-opened it, out of nowhere the document pages were more than before. And as I browsed the document I could sse that before some pics it added empty pages (1 to 15 in most cases). I upgraded to 4.3 and the same problem occured but now it messed up the formation too. If I press delete to erase the empty space and then press "undo" it returns to the normal form (without the empty pages) in most cases.
Comment 1 Julien Nabet 2014-11-10 19:47:29 UTC
On which env are you? (Windows, MacOs, Linux)

Would it be possible you attach the file by using this link:
https://bugs.freedesktop.org/attachment.cgi?bugid=86126&action=enter
?
Have in mind that any attachment is automatically made public, so remove any confidential/private part from it.
Comment 2 Nikos 2014-11-10 20:00:05 UTC Comment hidden (obsolete)
Comment 3 Julien Nabet 2014-11-10 21:21:01 UTC Comment hidden (obsolete)
Comment 4 Nikos 2014-11-10 21:29:07 UTC Comment hidden (obsolete)
Comment 5 Julien Nabet 2014-11-10 21:31:41 UTC Comment hidden (obsolete)
Comment 6 joux.alain 2014-11-11 14:53:42 UTC Comment hidden (obsolete)
Comment 7 Nikos 2014-11-11 17:42:14 UTC Comment hidden (obsolete)
Comment 8 Julien Nabet 2014-11-11 18:07:26 UTC Comment hidden (obsolete)
Comment 9 Julien Nabet 2014-11-11 18:09:10 UTC
Nikos: you may try to validate your file http://odf-validator.rhcloud.com/
but then I'm stuck.
Comment 10 Urmas 2014-11-11 23:09:41 UTC
You could remove the text from your document by replacing "[:letter:]" with "x" and extra figures to make it suitable to attach here.
Comment 11 Tim Lloyd 2014-11-11 23:31:21 UTC Comment hidden (obsolete)
Comment 12 Joel Madero 2014-11-16 21:04:36 UTC Comment hidden (obsolete)
Comment 13 Nikos 2014-11-17 17:47:44 UTC
Created attachment 109635 [details]
the document
Comment 14 Nikos 2014-11-17 17:53:24 UTC
I used the odf-validator but it generated tons of errors and I think this might happened because the document is in another language. 
So I added a file and as I understand the problem occurs when you copy and paste some text (with images) from another document. And it isn't even sure it will happen to the same pages. Additionaly I have some images in tables and some of them are getting messed up too. If I delete the empty pages and then I press "undo" the document might come to the original form
Comment 15 Julien Nabet 2014-11-17 21:03:22 UTC
On pc Debian x86-64 with 4.3.3 LO Debian package, I don't see empty pages.
However, sometimes graphics/images take a little time (1 or 2 secs) to appear.

Would it be possible you give a try to brand new 4.3.4 LO version?
Also how much RAM do you have?
Comment 16 Nikos 2014-11-17 21:23:58 UTC
I already use the 4.3.3 (I did an upgrade from 3.6). I have 8gb ram. The current document is much smaller than the original. The first time I saved it and reopened it it added one empty page but now it doesn't. It's so frustrating. I will try to send another one
Comment 17 Nikos 2014-11-17 21:30:15 UTC
Created attachment 109640 [details]
the original has 76 pgs

Normaly it has 76 pgs and when i reopen it it has 77 with a blank page (page 73)
Comment 18 Buovjaga 2014-11-20 13:20:52 UTC
(In reply to Nikos from comment #17)
> Created attachment 109640 [details]
> the original has 76 pgs
> 
> Normaly it has 76 pgs and when i reopen it it has 77 with a blank page (page
> 73)

Scrolled to the last page, 76 pages with no blanks for me.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08
Comment 19 Robinson Tryon (qubit) 2015-01-16 09:33:00 UTC
(In reply to Nikos from comment #2)
> Ι use windows 7

(In reply to Beluga from comment #18)
> Scrolled to the last page, 76 pages with no blanks for me.
> 
> Win 7 64-bit Version: 4.4.0.0.alpha2+


Same OS and version #:
Summary -> [hard to repro]
Comment 20 Gordo 2015-05-26 17:30:04 UTC
I can get the 77 pages with one blank page.

1. Open document.
2. Wait.  For me it says 69 pages and the OLE Objects are greyed out in the Navigator.
3. Don't do anything and eventually the OLE Objects appear and the page numbers increase to 77.
Result:
Page 41 was blank.

On the page after the blank is an image (graphics11).  When I opened the Image dialogue and went through the tabs to the Crop tab and then cancelled out, the image changed size.  I went back into the Crop tab and while there more blank pages were added.  If I waited before going back into Image then it settled down to 76 pages.

Windows Vista 64
Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 21 Buovjaga 2015-05-27 13:58:12 UTC
(In reply to Gordo from comment #20)
> I can get the 77 pages with one blank page.
> 
> 1. Open document.
> 2. Wait.  For me it says 69 pages and the OLE Objects are greyed out in the
> Navigator.
> 3. Don't do anything and eventually the OLE Objects appear and the page
> numbers increase to 77.
> Result:
> Page 41 was blank.
> 
> On the page after the blank is an image (graphics11).  When I opened the
> Image dialogue and went through the tabs to the Crop tab and then cancelled
> out, the image changed size.  I went back into the Crop tab and while there
> more blank pages were added.  If I waited before going back into Image then
> it settled down to 76 pages.

I reproduced. Adjusted title and set to NEW.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: bf9c96238e33f63922af35c0c77ceb83ff447d3e
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-27_07:04:47
Locale: fi-FI (fi_FI)
Comment 22 QA Administrators 2016-09-20 09:46:17 UTC Comment hidden (obsolete)
Comment 23 MarjaE 2017-10-13 19:12:32 UTC
I'm not getting whole blank pages, but I a
Comment 24 Timur 2018-08-30 18:58:57 UTC
No steps to repro and less likely it will ever be resolved, especially with "shambolic image mgmt." Slow on image move or size edit.

Attachment 109635 [details] has 52 pages, possible empty part on page 14 (image from p.15) and attachment 109640 [details] has 77 pages, page 41 empty (page 73 not blank).
Tested with libo-master~2018-08-29_04.32.58_LibreOfficeDev_6.2.0.0.alpha0_Win_x86.